curl --request POST \
--url https://api.endaoment.org/v1/recommendations/pledge-crypto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": 1,
"inputAmount": "1000000000000000000",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"donorName": "Anonymous Donor",
"updateIdentity": true,
"shareMyEmail": false,
"collaboratingFundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.endaoment.org/v1/recommendations/pledge-crypto"
payload = {
"tokenId": 1,
"inputAmount": "1000000000000000000",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"donorName": "Anonymous Donor",
"updateIdentity": True,
"shareMyEmail": False,
"collaboratingFundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: 1,
inputAmount: '1000000000000000000',
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
donorName: 'Anonymous Donor',
updateIdentity: true,
shareMyEmail: false,
collaboratingFundId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.endaoment.org/v1/recommendations/pledge-crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Create crypto pledge recommendation
Creates a recommendation for donating cryptocurrency.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The token id suggested for the donation
1
The input amount of the token that was given to the entity, in its smallest unit.
"1000000000000000000"
Unique identifier for the recommendation. Generated on the client side to ensure idempotency.
Optional donor name to expose to the receiving entity. Not to be confused with donorIdentity which is the PII/tax receipt information of the donor
"Anonymous Donor"
Optional identity information for the donation receipt.
Show child attributes
Show child attributes
Whether to update the user's global identity with the provided donation identity.
true
Whether the donor wants to share their email with the org.
false
ID of the fund that the advisor is collaborating with
Response
Crypto pledge recommendation successfully created
The recommendation id
"123e4567-e89b-12d3-a456-426614174000"
Was this page helpful?